Description

addBasionym() ignores retuns null and addRelationshipToName() throws an exception

@Override
public NameRelationship addBasionym(TaxonName basionym, Reference citation, String
microcitation, String ruleConsidered) {
if (basionym != null) {
return basionym.addRelationshipToName (this, NameRelationshipType.BASIONYM(), citation,
microcitation, ruleConsidered);
lelse{
return null;

public NameRelationship addRelationshipToName (TaxonName toName, NameRelationshipType type,
Reference citation, String microCitation, String ruleConsidered) {

if (toName == null) {

throw new NullPointerException ("Null is not allowed as name for a name relationship");

}

NameRelationship rel = new NameRelationship (toName, this, type, citation, microCitation,
ruleConsidered) ;

return rel;

| think addBasionym() should behave the same as addRelationshipToName() and should throw an exception.

Associated revisions

Revision 7a72a0fe - 04/28/2018 05:12 PM - Andreas Kohlbecker

ref #7386 reducing redundancy in name relationship handling methods, adding methods for general use

Revision 287abc0f - 04/28/2018 11:21 PM - Andreas Miiller

ref #7386 fix error in new getRelatedNames method

Revision 676ed1a9 - 04/29/2018 12:00 AM - Andreas Muller

ref #7388 fix error in new removeRelationWithTaxonName

History

#1 - 04/28/2018 04:31 PM - Andreas Kohlbecker

- Subject changed from inconsistent handling of null valued passed to addNameRelatinon methods in TaxonName to inconsistent handling of null
values passed to addNameRelation methods in TaxonName

#2 - 04/28/2018 04:45 PM - Andreas Kohlbecker
The addReplacedSynonym() again follows a completely different philosophy:

//TODO: Check if true: The replaced synonym cannot have itself a replaced synonym (?).
@Override
public void addReplacedSynonym(TaxonName replacedSynonym, Reference citation, String microcitation, String
ruleConsidered) {
if (replacedSynonym != null) {
replacedSynonym.addRelationshipToName (this,
microcitation, ruleConsidered);
}
}

#3 - 04/28/2018 05:14 PM - Andreas Kohlbecker

refactoring of other name relationship related methods in 7a72a0fe

#4 - 04/29/2018 12:02 AM - Andreas Miiller
fixed errors in new methods 287abc0f and 676ed1a9
